!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = meter  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 5.0E-02  &
   spacing_for_grid = 1.0
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = MODEL_1
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = .MODEL_1.VARIABLE_1  &
   adams_id = 1  &
   initial_condition = 0.0  &
   function = ""
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .MODEL_1.steel  &
   adams_id = 1  &
   density = 7801.0  &
   youngs_modulus = 2.07E+11  &
   poissons_ratio = 0.29
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.ground.MARKER_12  &
   adams_id = 12  &
   location = 0.4, 0.4, -0.12  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.ground.MARKER_16  &
   adams_id = 16  &
   location = 0.2, 0.0, -0.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.ground.MARKER_18  &
   adams_id = 18  &
   location = -0.2, 0.0, 4.0E-02  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.ground  &
   material_type = .MODEL_1.steel
!
! ****** Points for current part ******
!
point create  &
   point_name = .MODEL_1.ground.POINT_1  &
   location = 0.4, 0.4, -0.12
!
point create  &
   point_name = .MODEL_1.ground.POINT_2  &
   location = 0.2, 0.0, -0.1
!
point create  &
   point_name = .MODEL_1.ground.POINT_3  &
   location = -0.2, 0.0, 4.0E-02
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .MODEL_1.ground  &
   name_visibility = off
!
!----------------------------------- PART_2 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.PART_2  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.PART_2
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.PART_2.MARKER_1  &
   adams_id = 1  &
   location = 0.4, 0.4, -0.12  &
   orientation = 123.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_2.MARKER_2  &
   adams_id = 2  &
   location = 0.291072193, 0.5677341136, -0.12  &
   orientation = 146.309932474d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_2.cm  &
   adams_id = 25  &
   location = 0.3474494745, 0.4809207131, -0.12  &
   orientation = 33.0000000004d, 90.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_2.MARKER_11  &
   adams_id = 11  &
   location = 0.4, 0.4, -0.12  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_2.MARKER_14  &
   adams_id = 14  &
   location = 0.291072193, 0.5677341136, -0.12  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.PART_2  &
   material_type = .MODEL_1.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .MODEL_1.PART_2.LINK_4  &
   i_marker = .MODEL_1.PART_2.MARKER_1  &
   j_marker = .MODEL_1.PART_2.MARKER_2  &
   width = 4.0E-02  &
   depth = 4.0E-02
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_2.LINK_4.HOLE_1  &
   center = 0.291072193, 0.5677341136, -0.1  &
   radius = 1.0E-02  &
   depth = 0.0  &
   countersink = no
!
part attributes  &
   part_name = .MODEL_1.PART_2  &
   color = RED  &
   name_visibility = off
!
!----------------------------------- PART_3 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.PART_3  &
   adams_id = 3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.PART_3
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.PART_3.MARKER_3  &
   adams_id = 3  &
   location = 0.291072193, 0.5677341136, -0.18  &
   orientation = 194.662529578d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_3.MARKER_4  &
   adams_id = 4  &
   location = -0.2893879065, 0.4158589249, -0.18  &
   orientation = 194.662529578d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_3.cm  &
   adams_id = 26  &
   location = -8.1389526233E-03, 0.4894466495, -0.177269581  &
   orientation = 284.6625295784d, 88.9886215905d, 90.0000000093d
!
marker create  &
   marker_name = .MODEL_1.PART_3.MARKER_13  &
   adams_id = 13  &
   location = 0.291072193, 0.5677341136, -0.12  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_3.MARKER_19  &
   adams_id = 19  &
   location = -0.2893879065, 0.4158589249, -0.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.PART_3  &
   material_type = .MODEL_1.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .MODEL_1.PART_3.LINK_5  &
   i_marker = .MODEL_1.PART_3.MARKER_3  &
   j_marker = .MODEL_1.PART_3.MARKER_4  &
   width = 0.12  &
   depth = 8.0E-02
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_3.LINK_5.HOLE_1  &
   center = 0.291072193, 0.5677341136, -0.14  &
   radius = 1.0E-02  &
   depth = 4.0E-02  &
   countersink = yes
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_3.LINK_5.HOLE_2  &
   center = -0.2893879065, 0.4158589249, -0.14  &
   radius = 3.0E-02  &
   depth = 8.0E-02  &
   countersink = yes
!
part attributes  &
   part_name = .MODEL_1.PART_3  &
   color = GREEN  &
   name_visibility = off
!
!----------------------------------- PART_4 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.PART_4  &
   adams_id = 4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.PART_4
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.PART_4.MARKER_5  &
   adams_id = 5  &
   location = 0.2, 0.0, -0.1  &
   orientation = 129.8055710923d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_4.MARKER_6  &
   adams_id = 6  &
   location = -0.1841106398, 0.4609327678, -0.1  &
   orientation = 129.8055710923d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_4.cm  &
   adams_id = 27  &
   location = -5.0735250566E-02, 0.3008823007, -6.2279893852E-02  &
   orientation = 39.8055710941d, 94.1335548892d, 5.8038537754E-08d
!
marker create  &
   marker_name = .MODEL_1.PART_4.MARKER_15  &
   adams_id = 15  &
   location = 0.2, 0.0, -0.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_4.MARKER_20  &
   adams_id = 20  &
   location = -0.1841106398, 0.4609327678, -0.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_4.MARKER_23  &
   adams_id = 23  &
   location = 7.9446801005E-03, 0.2304663839, 0.0  &
   orientation = 219.8055710846d, 90.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_4.MARKER_30  &
   adams_id = 30  &
   location = 9.7314422294E-02, 0.1232226932, 0.0  &
   orientation = 129.8055710923d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_4.MARKER_31  &
   adams_id = 31  &
   location = -0.3191255297, 0.6229506356, 0.0  &
   orientation = 129.8055710923d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.PART_4  &
   material_type = .MODEL_1.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .MODEL_1.PART_4.LINK_6  &
   i_marker = .MODEL_1.PART_4.MARKER_5  &
   j_marker = .MODEL_1.PART_4.MARKER_6  &
   width = 0.12  &
   depth = 8.0E-02
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_4.LINK_6.HOLE_1  &
   center = 0.2, 0.0, -6.0E-02  &
   radius = 3.0E-02  &
   depth = 0.0  &
   countersink = no
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_4.LINK_6.HOLE_2  &
   center = -0.1841106398, 0.4609327678, -6.0E-02  &
   radius = 3.0E-02  &
   depth = 0.0  &
   countersink = no
!
geometry create shape link  &
   link_name = .MODEL_1.PART_4.LINK_9  &
   i_marker = .MODEL_1.PART_4.MARKER_30  &
   j_marker = .MODEL_1.PART_4.MARKER_31  &
   width = 4.0E-02  &
   depth = 4.0E-02
!
geometry create feature thinshell  &
   thin_shell_name = .MODEL_1.PART_4.LINK_9.THIN_SHELL_1  &
   thickness = 4.0E-02  &
   locations = -0.1109055537, 0.3730866644, 2.0E-02
!
part attributes  &
   part_name = .MODEL_1.PART_4  &
   color = MAIZE  &
   name_visibility = off
!
!----------------------------------- PART_5 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.PART_5  &
   adams_id = 5  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.PART_5
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.PART_5.MARKER_7  &
   adams_id = 7  &
   location = 7.9446801005E-03, 0.2304663839, 0.0  &
   orientation = 129.8055710923d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_5.MARKER_8  &
   adams_id = 8  &
   location = -5.6073759866E-02, 0.3072885119, 0.0  &
   orientation = 129.8055710923d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_5.cm  &
   adams_id = 28  &
   location = -2.4064539883E-02, 0.2688774479, 2.255758401E-03  &
   orientation = 39.8055710923d, 90.0000000016d, 359.9999999843d
!
marker create  &
   marker_name = .MODEL_1.PART_5.MARKER_22  &
   adams_id = 22  &
   location = -2.4064539883E-02, 0.2688774479, 4.0E-02  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_5.MARKER_24  &
   adams_id = 24  &
   location = 7.9446801005E-03, 0.2304663839, 0.0  &
   orientation = 219.8055710846d, 90.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.PART_5  &
   material_type = .MODEL_1.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .MODEL_1.PART_5.LINK_7  &
   i_marker = .MODEL_1.PART_5.MARKER_7  &
   j_marker = .MODEL_1.PART_5.MARKER_8  &
   width = 4.0E-02  &
   depth = 4.0E-02
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_5.LINK_7.HOLE_1  &
   center = -2.4064539883E-02, 0.2688774479, 2.0E-02  &
   radius = 1.0E-02  &
   depth = 4.0E-02  &
   countersink = yes
!
part attributes  &
   part_name = .MODEL_1.PART_5  &
   color = CYAN  &
   name_visibility = off
!
!----------------------------------- PART_6 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.PART_6  &
   adams_id = 6  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.PART_6
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.PART_6.MARKER_9  &
   adams_id = 9  &
   location = -0.2, 0.0, 4.0E-02  &
   orientation = 70.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_6.MARKER_10  &
   adams_id = 10  &
   location = -6.319194267E-02, 0.3758770483, 4.0E-02  &
   orientation = 26.5650511771d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_6.cm  &
   adams_id = 29  &
   location = -0.129777669, 0.1929342689, 4.0E-02  &
   orientation = 160.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.PART_6.MARKER_17  &
   adams_id = 17  &
   location = -0.2, 0.0, 4.0E-02  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.PART_6.MARKER_21  &
   adams_id = 21  &
   location = -6.319194267E-02, 0.3758770483, 4.0E-02  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.PART_6  &
   material_type = .MODEL_1.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .MODEL_1.PART_6.LINK_8  &
   i_marker = .MODEL_1.PART_6.MARKER_9  &
   j_marker = .MODEL_1.PART_6.MARKER_10  &
   width = 8.0E-02  &
   depth = 4.0E-02
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_6.LINK_8.HOLE_1  &
   center = -0.2, 0.0, 6.0E-02  &
   radius = 2.0E-02  &
   depth = 0.0  &
   countersink = no
!
geometry create feature hole  &
   hole_name = .MODEL_1.PART_6.LINK_8.HOLE_2  &
   center = -6.319194267E-02, 0.3758770483, 6.0E-02  &
   radius = 1.0E-02  &
   depth = 0.0  &
   countersink = no
!
part attributes  &
   part_name = .MODEL_1.PART_6  &
   color = MAGENTA  &
   name_visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_1  &
   adams_id = 1  &
   i_marker_name = .MODEL_1.PART_2.MARKER_11  &
   j_marker_name = .MODEL_1.ground.MARKER_12
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_1  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_2  &
   adams_id = 2  &
   i_marker_name = .MODEL_1.PART_3.MARKER_13  &
   j_marker_name = .MODEL_1.PART_2.MARKER_14
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_2  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_3  &
   adams_id = 3  &
   i_marker_name = .MODEL_1.PART_4.MARKER_15  &
   j_marker_name = .MODEL_1.ground.MARKER_16
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_3  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_4  &
   adams_id = 4  &
   i_marker_name = .MODEL_1.PART_6.MARKER_17  &
   j_marker_name = .MODEL_1.ground.MARKER_18
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_4  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_5  &
   adams_id = 5  &
   i_marker_name = .MODEL_1.PART_3.MARKER_19  &
   j_marker_name = .MODEL_1.PART_4.MARKER_20
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_5  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_6  &
   adams_id = 6  &
   i_marker_name = .MODEL_1.PART_6.MARKER_21  &
   j_marker_name = .MODEL_1.PART_5.MARKER_22
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_6  &
   name_visibility = off
!
constraint create joint translational  &
   joint_name = .MODEL_1.JOINT_7  &
   adams_id = 7  &
   i_marker_name = .MODEL_1.PART_4.MARKER_23  &
   j_marker_name = .MODEL_1.PART_5.MARKER_24
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_7  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .MODEL_1.Last_Sim  &
   commands = "simulation single_run assemble model_name=.MODEL_1"
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = .MODEL_1.MOTION_1  &
   adams_id = 1  &
   type_of_freedom = rotational  &
   joint_name = .MODEL_1.JOINT_1  &
   time_derivative = velocity  &
   function = ""
!
constraint attributes  &
   constraint_name = .MODEL_1.MOTION_1  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = -9.80665  &
   z_component_gravity = 0.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = .MODEL_1.MOTION_1  &
   function = "10.0"
!
data_element modify variable  &
   variable_name = .MODEL_1.VARIABLE_1  &
   function = "DM(.MODEL_1.PART_5.MARKER_7, .MODEL_1.PART_4.MARKER_5)"
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = .MODEL_1.ground.MARKER_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_1))
!
marker modify  &
   marker_name = .MODEL_1.ground.MARKER_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_2))
!
marker modify  &
   marker_name = .MODEL_1.ground.MARKER_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_3))
!
marker modify  &
   marker_name = .MODEL_1.PART_2.MARKER_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_1))  &
   relative_to = .MODEL_1.PART_2
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
marker modify  &
   marker_name = .MODEL_1.PART_2.MARKER_2  &
   location =   &
      (LOC_RELATIVE_TO({0.2, 0.0, 0.0}, .MODEL_1.PART_2.MARKER_1))  &
   relative_to = .MODEL_1.PART_2
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_2.LINK_4.HOLE_1  &
   radius = (1.0cm)
!
marker modify  &
   marker_name = .MODEL_1.PART_2.MARKER_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_1))  &
   relative_to = .MODEL_1.PART_2
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
marker modify  &
   marker_name = .MODEL_1.PART_3.MARKER_4  &
   location =   &
      (LOC_RELATIVE_TO({0.6, 0.0, 0.0}, .MODEL_1.PART_3.MARKER_3))  &
   relative_to = .MODEL_1.PART_3
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_3.LINK_5.HOLE_1  &
   radius = (1.0cm)  &
   depth = (4.0cm)
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_3.LINK_5.HOLE_2  &
   radius = (3.0cm)  &
   depth = (8.0cm)
!
marker modify  &
   marker_name = .MODEL_1.PART_4.MARKER_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_2))  &
   relative_to = .MODEL_1.PART_4
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
marker modify  &
   marker_name = .MODEL_1.PART_4.MARKER_6  &
   location =   &
      (LOC_RELATIVE_TO({0.6, 0.0, 0.0}, .MODEL_1.PART_4.MARKER_5))  &
   relative_to = .MODEL_1.PART_4
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_4.LINK_6.HOLE_1  &
   radius = (3.0cm)
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_4.LINK_6.HOLE_2  &
   radius = (3.0cm)
!
marker modify  &
   marker_name = .MODEL_1.PART_4.MARKER_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_2))  &
   relative_to = .MODEL_1.PART_4
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
marker modify  &
   marker_name = .MODEL_1.PART_4.MARKER_31  &
   location =   &
      (LOC_RELATIVE_TO({0.7109 - 0.1604 + 0.1, 0.0, 0.0}, .MODEL_1.PART_4.MARKER_30))  &
   relative_to = .MODEL_1.PART_4
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
marker modify  &
   marker_name = .MODEL_1.PART_5.MARKER_8  &
   location =   &
      (LOC_RELATIVE_TO({0.1, 0.0, 0.0}, .MODEL_1.PART_5.MARKER_7))  &
   relative_to = .MODEL_1.PART_5
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_5.LINK_7.HOLE_1  &
   radius = (1.0cm)  &
   depth = (4.0cm)
!
marker modify  &
   marker_name = .MODEL_1.PART_6.MARKER_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_3))  &
   relative_to = .MODEL_1.PART_6
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
marker modify  &
   marker_name = .MODEL_1.PART_6.MARKER_10  &
   location =   &
      (LOC_RELATIVE_TO({0.4, 0.0, 0.0}, .MODEL_1.PART_6.MARKER_9))  &
   relative_to = .MODEL_1.PART_6
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_6.LINK_8.HOLE_1  &
   radius = (2.0cm)
!
geometry modify feature hole  &
   hole_name = .MODEL_1.PART_6.LINK_8.HOLE_2  &
   radius = (1.0cm)
!
marker modify  &
   marker_name = .MODEL_1.PART_6.MARKER_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .MODEL_1.ground.POINT_3))  &
   relative_to = .MODEL_1.PART_6
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
material modify  &
   material_name = .MODEL_1.steel  &
   density = (7801.0(kg/meter**3))  &
   youngs_modulus = (2.07E+11(Newton/meter**2))
!
model display  &
   model_name = MODEL_1
